        LOGICAL BIOSW, HYDRSW, PHOTSW, PRODSW, REDSW, VOLSW
        COMMON /DATASW/ BIOSW, HYDRSW, PHOTSW, PRODSW, REDSW, VOLSW
        DOUBLE PRECISION AVELIT(7), BOTLIT, BOTLAM(46), WAVEL(46)
        REAL KDPL(7,NPX), OXRADL(NPX), S1O2L(NPX), TOTETA(46)
        COMMON /ENPARL/ AVELIT, BOTLIT, BOTLAM, WAVEL
     -,                 KDPL,   OXRADL, S1O2L,  TOTETA
